PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_zsteqr | ( | PLASMA_enum | compz,
|  | int | n,
|  | double * | D,
|  | double * | E,
|  | PLASMA_Complex64_t * | Z,
|  | int | LDZ,
|  | double * | WORK
| ) |  |

CORE_zsteqr - solves the symmetric tridiagonal eigensystem using QR

Parameters

  [in] | compz | = PlasmaNoVec: computes eigenvalues only. = PlasmaVec: computes eigenpairs of the original symmetric matrix. On entry, Z must contain the orthogonal matrix used to reduce the original matrix to tridiagonal form. = PlasmaIVec: computes eigenpairs of the tridiagonal matrix. Z is initialized to the Identity Matrix.
  [in] | n | n specifies the order of the matrix. N >= 0
  [in,out] | D | On entry, D contains the diagonal elements of the tridiagonal matrix. On exit, D contains the eigenvalues sorted into increasing order.
  [in] | E | On entry, E contains the extra-diagonal elements of the tridiagonal matrix. On exit, E is destroyed.
  [in,out] | Z | On entry, Z has to be set to the Identity matrix. On exit, Z contains the eigenvectors.
  [in] | LDZ | LDZ specifies the leading direction of Z
  [in,out] | WORK | Workspace.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value